Package org.springframework.security.web.webauthn.management

# Interface PublicKeyCredentialCreationOptionsRequest

All Known Implementing Classes:
  `ImmutablePublicKeyCredentialCreationOptionsRequest`

public interface PublicKeyCredentialCreationOptionsRequest
A request to create a new `PublicKeyCredentialCreationOptions`.

Since:
  6.4
See Also:
  - `WebAuthnRelyingPartyOperations.createPublicKeyCredentialCreationOptions(PublicKeyCredentialCreationOptionsRequest)`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.security.core.Authentication`
`getAuthentication()`
The current `Authentication`.

## Method Details

### getAuthentication

org.springframework.security.core.Authentication getAuthentication()
The current `Authentication`. It must be authenticated to associate the credential to a user.

Returns:
  the `Authentication` to use.